## EmpathyDispatcher EmpathyDispatcher |

## Synopsis

                        EmpathyDispatcher;
    #define             EMPATHY_TYPE_DISPATCHER_TUBE
                        EmpathyDispatcherTube;
    EmpathyDispatcher*  empathy_dispatcher_new              (void);
    void                empathy_dispatcher_channel_process  (EmpathyDispatcher *dispatcher,
                                                             TpChannel *channel);
    GType               empathy_dispatcher_tube_get_type    (void);
    EmpathyDispatcherTube* empathy_dispatcher_tube_ref      (EmpathyDispatcherTube *tube);
    void                empathy_dispatcher_tube_unref       (EmpathyDispatcherTube *tube);
    void                empathy_dispatcher_tube_process     (EmpathyDispatcher *dispatcher,
                                                             EmpathyDispatcherTube *tube);
    void                empathy_dispatcher_call_with_contact
                                                            (EmpathyContact *contact);
    void                empathy_dispatcher_call_with_contact_id
                                                            (McAccount *account,
                                                             const gchar *contact_id);
    void                empathy_dispatcher_chat_with_contact_id
                                                            (McAccount *account,
                                                             const gchar *contact_id);
    void                empathy_dispatcher_chat_with_contact
                                                            (EmpathyContact *contact);

## Object Hierarchy

      GObject
       +----EmpathyDispatcher

## Signals

      "dispatch-channel"                               : Run Last
      "filter-channel"                                 : Run Last
      "filter-tube"                                    : Run Last

## Description

## Details

### EmpathyDispatcher

    typedef struct _EmpathyDispatcher EmpathyDispatcher;

### EMPATHY_TYPE_DISPATCHER_TUBE

    #define EMPATHY_TYPE_DISPATCHER_TUBE (empathy_dispatcher_tube_get_type ())

### EmpathyDispatcherTube

    typedef struct {
    	EmpathyContact *initiator;
    	TpChannel      *channel;
    	guint           id;
    	gboolean        activatable;
    } EmpathyDispatcherTube;

### empathy_dispatcher_new ()

    EmpathyDispatcher*  empathy_dispatcher_new              (void);

Returns : |

### empathy_dispatcher_channel_process ()

    void                empathy_dispatcher_channel_process  (EmpathyDispatcher *dispatcher,
                                                             TpChannel *channel);

`dispatcher` : |
`channel` : |

### empathy_dispatcher_tube_get_type ()

    GType               empathy_dispatcher_tube_get_type    (void);

Returns : |

### empathy_dispatcher_tube_ref ()

    EmpathyDispatcherTube* empathy_dispatcher_tube_ref      (EmpathyDispatcherTube *tube);

`tube` : |
Returns : |

### empathy_dispatcher_tube_unref ()

    void                empathy_dispatcher_tube_unref       (EmpathyDispatcherTube *tube);

`tube` : |

### empathy_dispatcher_tube_process ()

    void                empathy_dispatcher_tube_process     (EmpathyDispatcher *dispatcher,
                                                             EmpathyDispatcherTube *tube);

`dispatcher` : |
`tube` : |

### empathy_dispatcher_call_with_contact ()

    void                empathy_dispatcher_call_with_contact
                                                            (EmpathyContact *contact);

`contact` : |

### empathy_dispatcher_call_with_contact_id ()

    void                empathy_dispatcher_call_with_contact_id
                                                            (McAccount *account,
                                                             const gchar *contact_id);

`account` : |
`contact_id` : |

### empathy_dispatcher_chat_with_contact_id ()

    void                empathy_dispatcher_chat_with_contact_id
                                                            (McAccount *account,
                                                             const gchar *contact_id);

`account` : |
`contact_id` : |

### empathy_dispatcher_chat_with_contact ()

    void                empathy_dispatcher_chat_with_contact
                                                            (EmpathyContact *contact);

`contact` : |

## Signal Details

### The `"dispatch-channel"` signal

    void                user_function                      (EmpathyDispatcher *empathydispatcher,
                                                            TpChannel         *arg1,
                                                            gpointer           user_data)              : Run Last

`empathydispatcher` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"filter-channel"` signal

    void                user_function                      (EmpathyDispatcher *empathydispatcher,
                                                            TpChannel         *arg1,
                                                            gpointer           user_data)              : Run Last

`empathydispatcher` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"filter-tube"` signal

    void                user_function                      (EmpathyDispatcher     *empathydispatcher,
                                                            EmpathyDispatcherTube *arg1,
                                                            gpointer               user_data)              : Run Last

`empathydispatcher` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.